> For the complete documentation index, see [llms.txt](https://docs.cardspro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cardspro.com/api/kyc/fill-kyc-data/w02111048-w02111030.md).

# W02111048, W02111030

Fills basic data for KYC sort=W02111048|W02111030.

### 'W02111048' or 'W02111030'  **sort of KYC**

**Request Body**&#x20;

```json
{
  "areaCode": "+48",
  "phone": "882613981",
  "email": "john.doe@example.com",
  "firstName": "John",
  "lastName": "Doe",
  "birthDate": "1990-05-15",
  "nationality": "PL",
  "country": "PL",
  "addressLine": "123 Main Street Apt 4B",
  "postalCode": "10001",
  "gender": "M",
  "documentType": "PASSPORT",
  "documentNumber": "A12345678",
  "documentIssueDate": "2025-03-20",
  "idNoExpiryDate": "2035-03-19"
}
```

<table data-header-hidden><thead><tr><th width="186.66650390625">Field</th><th width="97.22222900390625">Type</th><th width="108.0001220703125">Required</th><th width="172.77783203125">Remark</th><th>Description</th></tr></thead><tbody><tr><td>areaCode</td><td>string</td><td>yes</td><td>+44</td><td>Phone Country Calling Code. length[2...5]</td></tr><tr><td>phone</td><td>string</td><td>yes</td><td>length[5...20]</td><td>Mobile phone number</td></tr><tr><td>firstName</td><td>String</td><td>yes</td><td>length[2...32]<br></td><td>Only English characters are supported. </td></tr><tr><td>lastName</td><td>String</td><td>yes</td><td>length[2...32]</td><td>Only English characters are supported. </td></tr><tr><td>gender</td><td>String</td><td>yes</td><td><code>M</code>: male  <code>F</code>: female</td><td>Gender</td></tr><tr><td>birthDate</td><td>String</td><td>yes</td><td>yyyy-MM-dd</td><td>Birthday</td></tr><tr><td>nationality</td><td>String</td><td>yes</td><td>ISO 3166-1 alpha-2</td><td>nationality</td></tr><tr><td>country</td><td>String</td><td>yes</td><td>ISO 3166-1 alpha-2</td><td>Country of Residence</td></tr><tr><td>addressLine</td><td>String</td><td>yes</td><td>length[2...40].<br>Can only contain letters, numbers, hyphens and spaces.<br>regex: ^[A-Za-z0-9- ]+$</td><td>Residential Address.</td></tr><tr><td>city</td><td>string</td><td>yes</td><td><br></td><td>City</td></tr><tr><td>postalCode</td><td>string</td><td>yes</td><td>length[4...10].<br>regex: ^[a-zA-Z0-9]{1,15}$</td><td>Postal Code.</td></tr><tr><td>email</td><td>string</td><td>yes</td><td> length[5...50]</td><td>Email. <strong>Receive verification code</strong>.</td></tr><tr><td>documentType</td><td>string</td><td>yes</td><td><code>PASSPORT</code>: Passport  <code>DLN</code>: Driver's license <code>GOVERNMENT_ISSUED_ID_CARD</code>: ID Card</td><td>Id type.</td></tr><tr><td>documentNumber</td><td>string</td><td>yes</td><td>length[2...50]</td><td>Id number</td></tr><tr><td>documentIssueDate</td><td>string</td><td>yes</td><td>yyyy-MM-dd</td><td>ID document issuance date.</td></tr><tr><td>idNoExpiryDate</td><td>string</td><td>yes</td><td>yyyy-MM-dd</td><td>ID document  expiration date</td></tr></tbody></table>
